from constants import TILE_WIDTH_HEIGHT, ENTITY_TYPE_MAP
from helper import floatToFixed248

def parseEntity(obj, chunkData):
  if 'type' in obj and obj['type'] not in ENTITY_TYPE_MAP:
    return None
  
  obj['localX'] = obj['x'] - (chunkData['topLeftTileX'] * TILE_WIDTH_HEIGHT)
  obj['localY'] = obj['y'] - (chunkData['topLeftTileY'] * TILE_WIDTH_HEIGHT)
  obj['dir'] = 'ENTITY_DIR_SOUTH'
  obj['type'] = 'ENTITY_TYPE_NPC'

  print(obj)

  return obj